Subject: bug#41491: closed (Re: bug#41491: docker fails to build on foreign Debian system)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 24 Jun 2022 05:09:03 +0000

Your bug report

#41491: docker fails to build on foreign Debian system

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41491: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=41491
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41491: docker fails to build on foreign Debian system
From: Maxim Cournoyer <[email-masked]>
To: Jakub Kądziołka <[email-masked]>
Cc: [email-masked]
Date: Fri, 24 Jun 2022 01:07:59 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Closing as there's a new version of Docker available.  Hopefully that
solves the issue you had.

Maxim

Subject: docker fails to build on foreign Debian system
From: Jakub Kądziołka <[email-masked]>
To: [email-masked]
Date: Sat, 23 May 2020 20:48:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I am trying to build the `docker' package on a foreign distro.
Specifically, Debian sid. This results in the following test failures:

--------------------------------------
=== [31mFailed[0m
=== [31mFAIL[0m: daemon/graphdriver/quota TestBlockDev/testBlockDevQuotaDisabled (0.03s)
    --- FAIL: TestBlockDev/testBlockDevQuotaDisabled (0.03s)
        projectquota_test.go:83: assertion failed: error is not nil: exit status 1: mount failed: mount: /tmp/guix-build-docker-19.03.7.drv-0/xfs-mountPoint-325789281: mount failed: Operation not permitted.

=== [31mFAIL[0m: daemon/graphdriver/quota TestBlockDev/testBlockDevQuotaEnabled (0.02s)
    --- FAIL: TestBlockDev/testBlockDevQuotaEnabled (0.02s)
        projectquota_test.go:83: assertion failed: error is not nil: exit status 1: mount failed: mount: /tmp/guix-build-docker-19.03.7.drv-0/xfs-mountPoint-054602316: mount failed: Operation not permitted.

=== [31mFAIL[0m: daemon/graphdriver/quota TestBlockDev/testSmallerThanQuota (0.01s)
    --- FAIL: TestBlockDev/testSmallerThanQuota (0.01s)
        projectquota_test.go:83: assertion failed: error is not nil: exit status 1: mount failed: mount: /tmp/guix-build-docker-19.03.7.drv-0/xfs-mountPoint-879061307: mount failed: Operation not permitted.

=== [31mFAIL[0m: daemon/graphdriver/quota TestBlockDev/testBiggerThanQuota (0.01s)
    --- FAIL: TestBlockDev/testBiggerThanQuota (0.01s)
        projectquota_test.go:83: assertion failed: error is not nil: exit status 1: mount failed: mount: /tmp/guix-build-docker-19.03.7.drv-0/xfs-mountPoint-487602526: mount failed: Operation not permitted.

=== [31mFAIL[0m: daemon/graphdriver/quota TestBlockDev/testRetrieveQuota (0.01s)
    --- FAIL: TestBlockDev/testRetrieveQuota (0.01s)
        projectquota_test.go:83: assertion failed: error is not nil: exit status 1: mount failed: mount: /tmp/guix-build-docker-19.03.7.drv-0/xfs-mountPoint-717635877: mount failed: Operation not permitted.

=== [31mFAIL[0m: daemon/graphdriver/quota TestBlockDev (0.38s)
    projectquota_test.go:50: meta-data=/tmp/guix-build-docker-19.03.7.drv-0/xfs-image973358730 isize=256    agcount=4, agsize=4096 blks
                 =                       sectsz=512   attr=2, projid32bit=1
                 =                       crc=0        finobt=0, sparse=0, rmapbt=0
                 =                       reflink=0
        data     =                       bsize=4096   blocks=16384, imaxpct=25
                 =                       sunit=0      swidth=0 blks
        naming   =version 2              bsize=4096   ascii-ci=0, ftype=1
        log      =internal log           bsize=4096   blocks=853, version=2
                 =                       sectsz=512   sunit=0 blks, lazy-count=1
        realtime =none                   extsz=4096   blocks=0, rtextents=0
--------------------------------------

This suggests that there's an issue with permissions. I recalled that
Debian ships a custom kernel patch that disables unprivileged
namespaces by default. However, after setting

    kernel.unprivileged_userns_clone = 1

the problem persisted.

I am attaching the full build log.